cURL
curl --request GET \
--url https://backendapi.corbado.io/v2/sharedDevices \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://backendapi.corbado.io/v2/sharedDevices"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://backendapi.corbado.io/v2/sharedDevices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"userID": "<string>",
"deviceID": "<string>",
"clientEnvID": "<string>"
}
]
}{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686,
"error": {
"type": "<string>",
"details": "<string>",
"validation": [
{
"field": "<string>",
"message": "<string>"
}
],
"links": [
"<string>"
]
},
"data": {}
}Connect reads
Get shareddevices
Lists shared devices for a given userID
GET
/
sharedDevices
cURL
Authorizations
basicAuthbearerAuth
Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.
The project ID and API secret can be found in the Developer Panel.
Query Parameters
userID to filter shared devices for
Response
List of shared devices for the provided user.
Show child attributes
Show child attributes
Was this page helpful?